{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Rise B2B API","description":"Global payroll for the modern workforce. Streamline payments to contractors and full-time employees around the globe with Rise's blockchain-first platform.","colors":{"primary":"#5e59ec","light":"#7c7aed","dark":"#4a46d9"},"logo":{"light":"https://cdn.prod.website-files.com/624f0c4263953ffe82f4e446/68092904f1a7fae9edc78b9b_RiseLogo.webp","dark":"https://cdn.prod.website-files.com/624f0c4263953ffe82f4e446/68092904f1a7fae9edc78b9b_RiseLogo.webp"},"favicon":"https://mintcdn.com/rise-067e2e54/psAvNyU-MYJCo5ek/favicon.svg?fit=max\u0026auto=format\u0026n=psAvNyU-MYJCo5ek\u0026q=85\u0026s=197e4f68fed11fd77a3075c2f55d7795","api":{"playground":{"display":"interactive"}},"navbar":{"links":[{"href":"mailto:hello@riseworks.io","label":"Support"},{"href":"https://status.riseworks.io","label":"Status"},{"href":"https://www.riseworks.io","label":"Website"},{"href":"https://www.riseworks.io/blog","label":"Blog"},{"href":"https://trust.riseworks.io","label":"Trust"}],"primary":{"type":"button","label":"Get Started","href":"https://app.rise.works"}},"footer":{"socials":{"x":"https://x.com/riseworks","github":"https://github.com/riseworks","linkedin":"https://linkedin.com/company/riseworks"}},"styling":{"latex":true},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"rise-067e2e54","hasAudioNarration":false,"actualSubdomain":"rise-067e2e54","customDomains":["docs.riseworks.io"],"gitSource":{"type":"github","owner":"riseworks","repo":"b2b-integration-docs","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6ae0c186f01d62d53392d056","collectionId":"d7d3c62c-d34d-4df2-9f25-132c2c09432b","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6ae0c186f01d62d53392d056"},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6ae0c186f01d62d53392d056","clientVersion":"0.0.4043","searchFilterCounts":[{"language":"default","tag":"API Reference","count":44},{"language":"default","tag":"V1 Legacy API Reference","count":17},{"language":"default","tag":"Webhooks","count":15},{"language":"default","tag":"Core Concepts","count":13},{"language":"default","tag":"Get Started","count":10},{"language":"default","tag":"Getting Started","count":10},{"language":"default","tag":"B2B Teams","count":10},{"language":"default","tag":"B2B Bill Pay","count":9},{"language":"default","tag":"B2B Webhooks","count":9},{"language":"default","tag":"Platform Concepts","count":8}]},"assistantConfig":{},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[],"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"api-reference/b2b-bill-pay/create-an-instant-payment","slug":"/api-reference/b2b-bill-pay/create-an-instant-payment","pageMetadata":{"title":"Create an instant payment","description":null,"deprecated":null,"version":null,"openapi":"/api-reference/openapi.yaml post /v2/payments/external_entity/instant","href":"/api-reference/b2b-bill-pay/create-an-instant-payment","autogeneratedByOpenApi":true},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Create an instant payment","description":null,"deprecated":null,"version":null,"openapi":"/api-reference/openapi.yaml post /v2/payments/external_entity/instant","href":"/api-reference/b2b-bill-pay/create-an-instant-payment","autogeneratedByOpenApi":true}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"summary":"Create an instant payment","tags":["B2B Bill Pay"],"requestBody":"fd1b6be0-1c0e-4780-84bf-06e708e656e6","security":["11c83f51-57fb-4dca-a7d0-ed32a20ff522"],"responses":{"200":"f359e273-5b4e-4e79-94f0-71a8341d0544","400":"ab0e3260-2647-4736-9615-0d239519cb42","401":"5cfc2221-760b-497d-9d55-6b2c7966cecb","403":"a720ba1e-e7e1-42d1-bd3e-743bd3de1a88","404":"32a30f5a-9857-4ad0-9ec2-cf4dd07578fb","500":"204b0e69-c999-4e3b-b3f8-30aef47049eb","502":"0b6224e9-3a42-4d9f-b721-2c5e93001b2f"},"method":"post","type":"path","servers":["d72c280a-f8f5-4f86-88d6-ae0613375d46","daa13761-b55f-4038-9550-807d8344b9e0","d0c5d446-1440-49e0-bbe5-ae02c8e8ab54"],"path":"/v2/payments/external_entity/instant","baseUrlOptions":["https://b2b-api.dev-riseworks.io","https://integrations-api.staging-riseworks.io","https://integrations-api.riseworks.io"],"title":"Create an instant payment","description":"","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{},"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"from":{"type":"string","minLength":15,"maxLength":15,"pattern":"^te-.*","description":"Identifier of a Rise team (a workspace below a company). 15-character nanoid prefixed with `te-`.","isRequired":true,"uniqueKey":"from","typeLabel":"string"},"amount_cents":{"type":"integer","minimum":100,"maximum":10000000000,"isRequired":true,"uniqueKey":"amount_cents","typeLabel":"integer"},"payment_data":{"type":"object","properties":{"role_description":{"type":"string","minLength":1,"maxLength":500,"isRequired":true,"uniqueKey":"payment_data.role_description","typeLabel":"string"},"invoice_description":{"type":"string","minLength":1,"maxLength":5000,"isRequired":true,"uniqueKey":"payment_data.invoice_description","typeLabel":"string"},"rise_sow":{"type":"boolean","isRequired":true,"uniqueKey":"payment_data.rise_sow","typeLabel":"boolean"},"services_description":{"default":"","type":"string","uniqueKey":"payment_data.services_description","typeLabel":"string"},"payment_details":{"default":"","type":"string","uniqueKey":"payment_data.payment_details","typeLabel":"string"},"sow_link":{"type":"string","pattern":"^(|http(s?):\\/\\/[^\\s]+)$","description":"Optional website URL — empty string or http(s) URL with no whitespace.","uniqueKey":"payment_data.sow_link","typeLabel":"string"},"reason_id":{"type":"number","uniqueKey":"payment_data.reason_id","typeLabel":"number"}},"required":["role_description","invoice_description","rise_sow"],"isRequired":true,"uniqueKey":"payment_data","typeLabel":"object"},"external_recipient_email":{"type":"string","format":"email","pattern":"^(?!\\.)(?!.*\\.\\.)([A-Za-z0-9_'+\\-\\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\\-]*\\.)+[A-Za-z]{2,}$","isRequired":true,"uniqueKey":"external_recipient_email","typeLabel":"string\u003cemail>"},"external_recipient_first_name":{"type":"string","minLength":1,"maxLength":45,"isRequired":true,"uniqueKey":"external_recipient_first_name","typeLabel":"string"},"external_recipient_last_name":{"type":"string","minLength":1,"maxLength":45,"isRequired":true,"uniqueKey":"external_recipient_last_name","typeLabel":"string"},"currency_symbol":{"default":"USD","type":"string","enum":["USD"],"uniqueKey":"currency_symbol","typeLabel":"enum\u003cstring>"},"network":{"default":"arbitrum","type":"string","enum":["arbitrum"],"uniqueKey":"network","typeLabel":"enum\u003cstring>"}},"required":["from","amount_cents","payment_data","external_recipient_email","external_recipient_first_name","external_recipient_last_name"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"from":"\u003cstring>","amount_cents":5000000050,"payment_data":{"role_description":"\u003cstring>","invoice_description":"\u003cstring>","rise_sow":true,"services_description":"","payment_details":"","sow_link":"\u003cstring>","reason_id":123},"external_recipient_email":"jsmith@example.com","external_recipient_first_name":"\u003cstring>","external_recipient_last_name":"\u003cstring>","currency_symbol":"USD","network":"arbitrum"}}},"exampleType":"generated"}},"exampleType":"generated"},"responses":{"f359e273-5b4e-4e79-94f0-71a8341d0544":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","enum":[true],"isRequired":true,"uniqueKey":"success","typeLabel":"enum\u003cboolean>"},"data":{"type":"object","properties":{"domain":{"type":"object","properties":{"name":{"type":"string","isRequired":true,"uniqueKey":"data.domain.name","typeLabel":"string"},"version":{"type":"string","isRequired":true,"uniqueKey":"data.domain.version","typeLabel":"string"},"chainId":{"type":"number","isRequired":true,"uniqueKey":"data.domain.chainId","typeLabel":"number"},"verifyingContract":{"type":"string","pattern":"^0x[a-fA-F0-9]{40}$","description":"EVM address (0x + 40 hex chars) or null/empty for unknown.","isRequired":true,"uniqueKey":"data.domain.verifyingContract","typeLabel":"string"}},"required":["name","version","chainId","verifyingContract"],"additionalProperties":false,"isRequired":true,"uniqueKey":"data.domain","typeLabel":"object"},"types":{"type":"object","properties":{"CreatePaymentForwardRequest":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string","isRequired":true,"uniqueKey":"data.types.CreatePaymentForwardRequest.items.[INDEX].name","typeLabel":"string"},"type":{"type":"string","isRequired":true,"uniqueKey":"data.types.CreatePaymentForwardRequest.items.[INDEX].type","typeLabel":"string"}},"required":["name","type"],"additionalProperties":false,"uniqueKey":"data.types.CreatePaymentForwardRequest.items.[INDEX]","typeLabel":"object"},"isRequired":true,"uniqueKey":"data.types.CreatePaymentForwardRequest","typeLabel":"object[]"},"RisePayment":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string","isRequired":true,"uniqueKey":"data.types.RisePayment.items.[INDEX].name","typeLabel":"string"},"type":{"type":"string","isRequired":true,"uniqueKey":"data.types.RisePayment.items.[INDEX].type","typeLabel":"string"}},"required":["name","type"],"additionalProperties":false,"uniqueKey":"data.types.RisePayment.items.[INDEX]","typeLabel":"object"},"isRequired":true,"uniqueKey":"data.types.RisePayment","typeLabel":"object[]"}},"required":["CreatePaymentForwardRequest","RisePayment"],"additionalProperties":false,"isRequired":true,"uniqueKey":"data.types","typeLabel":"object"},"typed_data":{"type":"object","properties":{"from":{"type":"string","pattern":"^0x[a-fA-F0-9]{40}$","description":"EVM address (0x + 40 hex chars) or null/empty for unknown.","isRequired":true,"uniqueKey":"data.typed_data.from","typeLabel":"string"},"to":{"type":"string","pattern":"^0x[a-fA-F0-9]{40}$","description":"EVM address (0x + 40 hex chars) or null/empty for unknown.","isRequired":true,"uniqueKey":"data.typed_data.to","typeLabel":"string"},"salt":{"type":"string","isRequired":true,"uniqueKey":"data.typed_data.salt","typeLabel":"string"},"expires":{"type":"string","isRequired":true,"uniqueKey":"data.typed_data.expires","typeLabel":"string"},"data":{"type":"object","properties":{"id":{"type":"string","isRequired":true,"uniqueKey":"data.typed_data.data.id","typeLabel":"string"},"groupID":{"type":"string","isRequired":true,"uniqueKey":"data.typed_data.data.groupID","typeLabel":"string"},"payAtTime":{"type":"string","isRequired":true,"uniqueKey":"data.typed_data.data.payAtTime","typeLabel":"string"},"validMinutes":{"type":"string","isRequired":true,"uniqueKey":"data.typed_data.data.validMinutes","typeLabel":"string"},"payType":{"type":"string","isRequired":true,"uniqueKey":"data.typed_data.data.payType","typeLabel":"string"},"token":{"type":"string","pattern":"^0x[a-fA-F0-9]{40}$","description":"EVM address (0x + 40 hex chars) or null/empty for unknown.","isRequired":true,"uniqueKey":"data.typed_data.data.token","typeLabel":"string"},"recipient":{"type":"string","pattern":"^0x[a-fA-F0-9]{40}$","description":"EVM address (0x + 40 hex chars) or null/empty for unknown.","isRequired":true,"uniqueKey":"data.typed_data.data.recipient","typeLabel":"string"},"amount":{"type":"string","isRequired":true,"uniqueKey":"data.typed_data.data.amount","typeLabel":"string"},"data":{"type":"string","isRequired":true,"uniqueKey":"data.typed_data.data.data","typeLabel":"string"}},"required":["id","groupID","payAtTime","validMinutes","payType","token","recipient","amount","data"],"additionalProperties":false,"isRequired":true,"uniqueKey":"data.typed_data.data","typeLabel":"object"}},"required":["from","to","salt","expires","data"],"additionalProperties":false,"isRequired":true,"uniqueKey":"data.typed_data","typeLabel":"object"},"primary_type":{"type":"string","isRequired":true,"uniqueKey":"data.primary_type","typeLabel":"string"}},"required":["domain","types","typed_data","primary_type"],"additionalProperties":false,"isRequired":true,"uniqueKey":"data","typeLabel":"object"}},"required":["success","data"],"additionalProperties":false,"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"success":true,"data":{"domain":{"name":"\u003cstring>","version":"\u003cstring>","chainId":123,"verifyingContract":"\u003cstring>"},"types":{"CreatePaymentForwardRequest":[{"name":"\u003cstring>","type":"\u003cstring>"}],"RisePayment":[{"name":"\u003cstring>","type":"\u003cstring>"}]},"typed_data":{"from":"\u003cstring>","to":"\u003cstring>","salt":"\u003cstring>","expires":"\u003cstring>","data":{"id":"\u003cstring>","groupID":"\u003cstring>","payAtTime":"\u003cstring>","validMinutes":"\u003cstring>","payType":"\u003cstring>","token":"\u003cstring>","recipient":"\u003cstring>","amount":"\u003cstring>","data":"\u003cstring>"}},"primary_type":"\u003cstring>"}}}},"exampleType":"generated"}},"exampleType":"generated"},"ab0e3260-2647-4736-9615-0d239519cb42":{"description":"Bad Request","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","enum":[false],"isRequired":true,"uniqueKey":"success","typeLabel":"enum\u003cboolean>"},"data":{"type":"string","isRequired":true,"uniqueKey":"data","typeLabel":"string"},"error_code":{"type":"string","uniqueKey":"error_code","typeLabel":"string"}},"required":["success","data"],"additionalProperties":false,"description":"Bad Request","uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"success":false,"data":"\u003cstring>","error_code":"\u003cstring>"}}},"exampleType":"generated"}},"exampleType":"generated"},"5cfc2221-760b-497d-9d55-6b2c7966cecb":{"description":"Unauthorized","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","enum":[false],"isRequired":true,"uniqueKey":"success","typeLabel":"enum\u003cboolean>"},"data":{"type":"string","isRequired":true,"uniqueKey":"data","typeLabel":"string"},"error_code":{"type":"string","uniqueKey":"error_code","typeLabel":"string"}},"required":["success","data"],"additionalProperties":false,"description":"Unauthorized","uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"success":false,"data":"\u003cstring>","error_code":"\u003cstring>"}}},"exampleType":"generated"}},"exampleType":"generated"},"a720ba1e-e7e1-42d1-bd3e-743bd3de1a88":{"description":"Forbidden","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","enum":[false],"isRequired":true,"uniqueKey":"success","typeLabel":"enum\u003cboolean>"},"data":{"type":"string","isRequired":true,"uniqueKey":"data","typeLabel":"string"},"error_code":{"type":"string","uniqueKey":"error_code","typeLabel":"string"}},"required":["success","data"],"additionalProperties":false,"description":"Forbidden","uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"success":false,"data":"\u003cstring>","error_code":"\u003cstring>"}}},"exampleType":"generated"}},"exampleType":"generated"},"32a30f5a-9857-4ad0-9ec2-cf4dd07578fb":{"description":"Not Found","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","enum":[false],"isRequired":true,"uniqueKey":"success","typeLabel":"enum\u003cboolean>"},"data":{"type":"string","isRequired":true,"uniqueKey":"data","typeLabel":"string"},"error_code":{"type":"string","uniqueKey":"error_code","typeLabel":"string"}},"required":["success","data"],"additionalProperties":false,"description":"Not Found","uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"success":false,"data":"\u003cstring>","error_code":"\u003cstring>"}}},"exampleType":"generated"}},"exampleType":"generated"},"204b0e69-c999-4e3b-b3f8-30aef47049eb":{"description":"Internal Server Error","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","enum":[false],"isRequired":true,"uniqueKey":"success","typeLabel":"enum\u003cboolean>"},"data":{"type":"string","isRequired":true,"uniqueKey":"data","typeLabel":"string"},"error_code":{"type":"string","uniqueKey":"error_code","typeLabel":"string"}},"required":["success","data"],"additionalProperties":false,"description":"Internal Server Error","uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"success":false,"data":"\u003cstring>","error_code":"\u003cstring>"}}},"exampleType":"generated"}},"exampleType":"generated"},"0b6224e9-3a42-4d9f-b721-2c5e93001b2f":{"description":"Bad Gateway","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","enum":[false],"isRequired":true,"uniqueKey":"success","typeLabel":"enum\u003cboolean>"},"data":{"type":"string","isRequired":true,"uniqueKey":"data","typeLabel":"string"},"error_code":{"type":"string","uniqueKey":"error_code","typeLabel":"string"}},"required":["success","data"],"additionalProperties":false,"description":"Bad Gateway","uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"success":false,"data":"\u003cstring>","error_code":"\u003cstring>"}}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{"11c83f51-57fb-4dca-a7d0-ed32a20ff522":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","scopes":[],"schemeName":"bearerAuth"}}},"servers":{"d72c280a-f8f5-4f86-88d6-ae0613375d46":{"url":"https://b2b-api.dev-riseworks.io","description":"Development"},"daa13761-b55f-4038-9550-807d8344b9e0":{"url":"https://integrations-api.staging-riseworks.io","description":"Staging"},"d0c5d446-1440-49e0-bbe5-ae02c8e8ab54":{"url":"https://integrations-api.riseworks.io","description":"Production"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"http","scheme":"bearer","bearerFormat":"JWT","scopes":[],"schemeName":"bearerAuth"},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"Bearer authentication header of the form `Bearer \u003ctoken>`, where `\u003ctoken>` is your auth token.","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"bearerAuth","name":"Authorization"}],"title":"bearerAuth"}]},"originalFileLocation":"api-reference/openapi.yaml"},"subdomain":"rise-067e2e54","siteName":"Rise B2B API","title":"Create an instant payment - Rise B2B API","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-10-27T15:22:21.227Z","originalFileLocation":"api-reference/b2b-bill-pay/create-an-instant-payment.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"application-name\" content=\"Rise B2B API\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/rise-067e2e54/b2iWOqZmzIHdD8oP/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/rise-067e2e54/b2iWOqZmzIHdD8oP/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/rise-067e2e54/b2iWOqZmzIHdD8oP/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/rise-067e2e54/b2iWOqZmzIHdD8oP/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/rise-067e2e54/b2iWOqZmzIHdD8oP/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/rise-067e2e54/b2iWOqZmzIHdD8oP/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/rise-067e2e54/b2iWOqZmzIHdD8oP/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/rise-067e2e54/b2iWOqZmzIHdD8oP/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/rise-067e2e54/b2iWOqZmzIHdD8oP/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Create an instant payment - Rise B2B API\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Rise B2B API\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.riseworks.io/api-reference/b2b-bill-pay/create-an-instant-payment\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://rise-067e2e54.mintlify.app/_mintlify/api/og/v2?division=B2B+Bill+Pay\u0026amp;title=Create+an+instant+payment\u0026amp;theme=281d1ad2082efd88530118fc\u0026amp;signature=5aba72e47b1f6ba64bda98ca289701980ad22f365543df5839efce5b2925644c\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Create an instant payment - Rise B2B API\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://rise-067e2e54.mintlify.app/_mintlify/api/og/v2?division=B2B+Bill+Pay\u0026amp;title=Create+an+instant+payment\u0026amp;theme=281d1ad2082efd88530118fc\u0026amp;signature=5aba72e47b1f6ba64bda98ca289701980ad22f365543df5839efce5b2925644c\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/rise-067e2e54/b2iWOqZmzIHdD8oP/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Rise B2B API\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#5e59ec\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.riseworks.io/api-reference/b2b-bill-pay/create-an-instant-payment\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/b2b-bill-pay/create-an-instant-payment.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.riseworks.io/#organization\",\"name\":\"Rise B2B API\",\"url\":\"https://docs.riseworks.io\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://cdn.prod.website-files.com/624f0c4263953ffe82f4e446/68092904f1a7fae9edc78b9b_RiseLogo.webp\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.riseworks.io#website\",\"name\":\"Rise B2B API\",\"url\":\"https://docs.riseworks.io\",\"publisher\":{\"@id\":\"https://docs.riseworks.io/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.riseworks.io/api-reference/b2b-bill-pay/create-an-instant-payment#webpage\",\"url\":\"https://docs.riseworks.io/api-reference/b2b-bill-pay/create-an-instant-payment\",\"name\":\"Create an instant payment\",\"dateModified\":\"2026-10-27T15:22:21.227Z\",\"isPartOf\":{\"@id\":\"https://docs.riseworks.io#website\"},\"breadcrumb\":{\"@id\":\"https://docs.riseworks.io/api-reference/b2b-bill-pay/create-an-instant-payment#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.riseworks.io/api-reference/b2b-bill-pay/create-an-instant-payment#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"B2B Bill Pay\",\"item\":\"https://docs.riseworks.io/api-reference/b2b-bill-pay/list-submitted-bill-pay-payments-with-their-business-status\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Create an instant payment\",\"item\":\"https://docs.riseworks.io/api-reference/b2b-bill-pay/create-an-instant-payment\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.riseworks.io/api-reference/b2b-bill-pay/create-an-instant-payment#apireference\",\"headline\":\"Create an instant payment\",\"name\":\"Create an instant payment\",\"url\":\"https://docs.riseworks.io/api-reference/b2b-bill-pay/create-an-instant-payment\",\"mainEntityOfPage\":{\"@id\":\"https://docs.riseworks.io/api-reference/b2b-bill-pay/create-an-instant-payment#webpage\"},\"dateModified\":\"2026-10-27T15:22:21.227Z\",\"publisher\":{\"@id\":\"https://docs.riseworks.io/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.riseworks.io#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Rise B2B API\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Rise B2B API","nav":{"global":null,"tabs":[{"tab":"Get Started","pages":[{"title":"Get Started","href":""}]},{"tab":"Core Concepts","pages":[{"title":"Core Concepts","href":"/concepts/wallets"}]},{"tab":"Integration Guides","pages":[{"title":"Integration Guides","href":"/guides/web3-integration"}]},{"tab":"Webhooks","pages":[{"title":"Webhooks","href":"/webhooks/getting-started/overview"}]},{"tab":"V1 Legacy","pages":[{"title":"V1 Legacy","href":"/v1-legacy/overview"}]},{"tab":"V1 Legacy API Reference","pages":[{"title":"V1 Legacy API Reference","href":"/api-reference-v1/auth/get-siwe-v1-legacy"}]},{"tab":"API Reference","groups":[{"group":"B2B Authentication","pages":[{"title":"Get SIWE","deprecated":null,"version":null,"openapi":"/api-reference/openapi.yaml get /v2/auth/siwe","href":"/api-reference/b2b-authentication/get-siwe"},{"title":"Verify a SIWE message and return a JWT for API authentication","deprecated":null,"version":null,"openapi":"/api-reference/openapi.yaml post /v2/auth/verify","href":"/api-reference/b2b-authentication/verify-a-siwe-message-and-return-a-jwt-for-api-authentication"}]},{"group":"B2B Balance","pages":[{"title":"Get entity balance","deprecated":null,"version":null,"openapi":"/api-reference/openapi.yaml get /v2/balance","href":"/api-reference/b2b-balance/get-entity-balance"}]},{"group":"B2B Invites","pages":[{"title":"Get Invites","deprecated":null,"version":null,"openapi":"/api-reference/openapi.yaml get /v2/invites","href":"/api-reference/b2b-invites/get-invites"},{"title":"Create invites for employees and contractors","deprecated":null,"version":null,"openapi":"/api-reference/openapi.yaml post /v2/invites","href":"/api-reference/b2b-invites/create-invites-for-employees-and-contractors"},{"title":"Execute admin invites","deprecated":null,"version":null,"openapi":"/api-reference/openapi.yaml put /v2/invites/manager","href":"/api-reference/b2b-invites/execute-admin-invites"},{"title":"Create admin invites typed data","deprecated":null,"version":null,"openapi":"/api-reference/openapi.yaml post /v2/invites/manager","href":"/api-reference/b2b-invites/create-admin-invites-typed-data"}]},{"group":"B2B Mapping","pages":[{"title":"Map V1 ids to V2 ids","deprecated":null,"version":null,"openapi":"/api-reference/openapi.yaml get /v2/mapping","href":"/api-reference/b2b-mapping/map-v1-ids-to-v2-ids"}]},{"group":"B2B Payments","pages":[{"title":"Query Payments","deprecated":null,"version":null,"openapi":"/api-reference/openapi.yaml get /v2/payments","href":"/api-reference/b2b-payments/query-payments"},{"title":"Execute Payments","deprecated":null,"version":null,"openapi":"/api-reference/openapi.yaml put /v2/payments","href":"/api-reference/b2b-payments/execute-payments"},{"title":"Create typed data for payments","deprecated":null,"version":null,"openapi":"/api-reference/openapi.yaml post /v2/payments","href":"/api-reference/b2b-payments/create-typed-data-for-payments"}]},{"group":"B2B Bill Pay","pages":[{"title":"List submitted Bill Pay payments with their business status","deprecated":null,"version":null,"openapi":"/api-reference/openapi.yaml get /v2/payments/teams/{team_nanoid}/external_entity/payments","href":"/api-reference/b2b-bill-pay/list-submitted-bill-pay-payments-with-their-business-status"},{"title":"Get bill-pay payments waiting for recipient configuration","deprecated":null,"version":null,"openapi":"/api-reference/openapi.yaml get /v2/payments/teams/{team_nanoid}/external_entity/pending_payments","href":"/api-reference/b2b-bill-pay/get-bill-pay-payments-waiting-for-recipient-configuration"},{"title":"Cancel bill-pay payments waiting for recipient configuration","deprecated":null,"version":null,"openapi":"/api-reference/openapi.yaml post /v2/payments/teams/{team_nanoid}/external_entity/{user_nanoid}/pending_payments/cancel","href":"/api-reference/b2b-bill-pay/cancel-bill-pay-payments-waiting-for-recipient-configuration"},{"title":"Reopen bill-pay payments for a canceled external recipient","deprecated":null,"version":null,"openapi":"/api-reference/openapi.yaml post /v2/payments/teams/{team_nanoid}/external_entity/{user_nanoid}/reopen","href":"/api-reference/b2b-bill-pay/reopen-bill-pay-payments-for-a-canceled-external-recipient"},{"title":"Resolve an external recipient name mismatch","deprecated":null,"version":null,"openapi":"/api-reference/openapi.yaml post /v2/payments/teams/{team_nanoid}/external_entity/{user_nanoid}/name_review","href":"/api-reference/b2b-bill-pay/resolve-an-external-recipient-name-mismatch"},{"title":"Get external recipients for team","deprecated":null,"version":null,"openapi":"/api-reference/openapi.yaml get /v2/payments/teams/{team_nanoid}/external_entity","href":"/api-reference/b2b-bill-pay/get-external-recipients-for-team"},{"title":"Create external recipient for billpay","deprecated":null,"version":null,"openapi":"/api-reference/openapi.yaml post /v2/payments/teams/{team_nanoid}/external_entity/","href":"/api-reference/b2b-bill-pay/create-external-recipient-for-billpay"},{"title":"Execute an instant payment","description":null,"deprecated":null,"version":null,"openapi":"/api-reference/openapi.yaml put /v2/payments/external_entity/instant","href":"/api-reference/b2b-bill-pay/execute-an-instant-payment"},{"title":"Create an instant payment","deprecated":null,"version":null,"openapi":"/api-reference/openapi.yaml post /v2/payments/external_entity/instant","href":"/api-reference/b2b-bill-pay/create-an-instant-payment"}]},{"group":"B2B Teams","pages":[{"title":"Get team users","description":"Retrieves a list of users associated with the specified team identified by its nanoid. This endpoint is useful for obtaining user details for a specific team, including their names, email addresses, onboarding status, and payment eligibility. Supports an optional `emails` filter to look up one or many users in a single request (repeated keys or a comma-separated list, up to 100), and optional offset pagination via page/offset/count query params; without them the full list is returned. Emails that match no team member are simply absent from the response — compare the returned `email` values against what you sent to detect them.","deprecated":null,"version":null,"openapi":"/api-reference/openapi.yaml get /v2/teams/{team_nanoid}/users","href":"/api-reference/b2b-teams/get-team-users"},{"title":"Get team settings","deprecated":null,"version":null,"openapi":"/api-reference/openapi.yaml get /v2/teams/{team_nanoid}/settings","href":"/api-reference/b2b-teams/get-team-settings"},{"title":"Update team settings","deprecated":null,"version":null,"openapi":"/api-reference/openapi.yaml put /v2/teams/{team_nanoid}/settings","href":"/api-reference/b2b-teams/update-team-settings"},{"title":"Get team by nanoid","deprecated":null,"version":null,"openapi":"/api-reference/openapi.yaml get /v2/teams/{team_nanoid}","href":"/api-reference/b2b-teams/get-team-by-nanoid"},{"title":"Update team by nanoid","deprecated":null,"version":null,"openapi":"/api-reference/openapi.yaml put /v2/teams/{team_nanoid}","href":"/api-reference/b2b-teams/update-team-by-nanoid"},{"title":"Create a team","deprecated":null,"version":null,"openapi":"/api-reference/openapi.yaml post /v2/teams","href":"/api-reference/b2b-teams/create-a-team"},{"title":"Get team member summary","deprecated":null,"version":null,"openapi":"/api-reference/openapi.yaml get /v2/teams/{team_nanoid}/member/{user_nanoid}/summary","href":"/api-reference/b2b-teams/get-team-member-summary"},{"title":"Get team member settings","deprecated":null,"version":null,"openapi":"/api-reference/openapi.yaml get /v2/teams/{team_nanoid}/member/{user_nanoid}/settings","href":"/api-reference/b2b-teams/get-team-member-settings"},{"title":"Update team member settings","deprecated":null,"version":null,"openapi":"/api-reference/openapi.yaml put /v2/teams/{team_nanoid}/member/{user_nanoid}/settings","href":"/api-reference/b2b-teams/update-team-member-settings"},{"title":"Delete team member","deprecated":null,"version":null,"openapi":"/api-reference/openapi.yaml delete /v2/teams/{team_nanoid}/member/{user_nanoid}","href":"/api-reference/b2b-teams/delete-team-member"}]},{"group":"B2B Users","pages":[{"title":"Get user organization's","deprecated":null,"version":null,"openapi":"/api-reference/openapi.yaml get /v2/user/organizations","href":"/api-reference/b2b-users/get-user-organizations"},{"title":"Get user team's","deprecated":null,"version":null,"openapi":"/api-reference/openapi.yaml get /v2/user/teams","href":"/api-reference/b2b-users/get-user-teams"},{"title":"Update user address details","deprecated":null,"version":null,"openapi":"/api-reference/openapi.yaml put /v2/user/address","href":"/api-reference/b2b-users/update-user-address-details"},{"title":"Update user avatar","deprecated":null,"version":null,"openapi":"/api-reference/openapi.yaml post /v2/user/avatar/update","href":"/api-reference/b2b-users/update-user-avatar"}]},{"group":"B2B Webhooks V1","pages":[{"title":"Get V1 Webhook","deprecated":null,"version":null,"openapi":"/api-reference/openapi.yaml get /v1/webhooks","href":"/api-reference/b2b-webhooks-v1/get-v1-webhook"}]},{"group":"B2B Webhooks","pages":[{"title":"Register Webhook","deprecated":null,"version":null,"openapi":"/api-reference/openapi.yaml post /v2/webhooks/register","href":"/api-reference/b2b-webhooks/register-webhook"},{"title":"Get Webhook","deprecated":null,"version":null,"openapi":"/api-reference/openapi.yaml get /v2/webhooks/{webhook_nanoid}","href":"/api-reference/b2b-webhooks/get-webhook"},{"title":"Update Webhook (v1/v2 cannot be changed; register a new endpoint to switch version)","deprecated":null,"version":null,"openapi":"/api-reference/openapi.yaml put /v2/webhooks/{webhook_nanoid}","href":"/api-reference/b2b-webhooks/update-webhook-v1v2-cannot-be-changed;-register-a-new-endpoint-to-switch-version"},{"title":"Delete Webhook","deprecated":null,"version":null,"openapi":"/api-reference/openapi.yaml delete /v2/webhooks/{webhook_nanoid}","href":"/api-reference/b2b-webhooks/delete-webhook"},{"title":"Get Webhook Event","deprecated":null,"version":null,"openapi":"/api-reference/openapi.yaml get /v2/webhooks/{webhook_nanoid}/events/{event_nanoid}","href":"/api-reference/b2b-webhooks/get-webhook-event"},{"title":"List Webhooks","deprecated":null,"version":null,"openapi":"/api-reference/openapi.yaml get /v2/webhooks","href":"/api-reference/b2b-webhooks/list-webhooks"},{"title":"Test Webhook","deprecated":null,"version":null,"openapi":"/api-reference/openapi.yaml post /v2/webhooks/test/{webhook_nanoid}","href":"/api-reference/b2b-webhooks/test-webhook"},{"title":"Retry Delivery","deprecated":null,"version":null,"openapi":"/api-reference/openapi.yaml post /v2/webhooks/retry/{delivery_nanoid}","href":"/api-reference/b2b-webhooks/retry-delivery"},{"title":"Delivery History","deprecated":null,"version":null,"openapi":"/api-reference/openapi.yaml get /v2/webhooks/{webhook_nanoid}/deliveries","href":"/api-reference/b2b-webhooks/delivery-history"}]}]}]},"basePath":"","title":"Create an instant payment - Rise B2B API","buildId":"dpl_G9nrg4qeJSZtah1Ziwbc2n6WkLch","deploymentId":"dpl_G9nrg4qeJSZtah1Ziwbc2n6WkLch","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-B7XKH4J3.js","utils-lOYzL7z-.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-DF6jUUIM.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-Dpsj5f7C.js","snippetPresets-CYeiDe8v.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-CUFz1YZ_.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-D8H_iLS4.js","shallow-DdluZBHX.js","getApiPlaygroundDisplay-B9922vev.js","CodeSnippet-CMoRNGYs.js","CodeSnippets-DwyrPHuw.js","Page-DSVu9Ucl.js","getPastedJson-G-zIvlHh.js","icon-B03fnEy0.js","MethodPill-CW7teklc.js","DuplicateIcon-CtO8eekd.js","createIcon-DZTKdM_A.js","DynamicMarkdown-D5M2At0B.js","SectionHeading-C_2NaA2U.js","axios-vUo_bRtp.js","Markdown-D7QRHV3m.js","clsx-D1Z-ELXV.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-lvhuD9Du.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-CKfC4ywL.js"]}